Bug 183881

Summary: Update port: textproc/rubygem-phone Upgrade to 1.2.1
Product: Ports & Packages Reporter: Douglas Thrift <douglas>
Component: Individual Port(s)Assignee: Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me CC: douglas
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
rubygem-phone.2013-11-12T040210Z.diff none

Description Douglas Thrift 2013-11-12 04:20:00 UTC
Upgrade textproc/rubygem-phone to 1.2.1 and add STAGE support.

https://redports.org/buildarchive/20131111001500-34347/

There is no entry for 1.2.1, but from https://github.com/carr/phone/blob/master/ChangeLog.md#12--2013-10-23:

# 1.2 / 2013-10-23

* Released to capture updates made after version 1.1. (elskwid)
* Add specific exception classes. (miloshadzic)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-12 04:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2013-11-19 22:11:54 UTC
Responsible Changed
From-To: ruby->sunpoet

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-11-20 03:15:18 UTC
Author: sunpoet
Date: Wed Nov 20 03:15:01 2013
New Revision: 334373
URL: http://svnweb.freebsd.org/changeset/ports/334373

Log:
  - Update to 1.2.3
  - While I'm here:
    - Remove LICENSE_FILE for well-known licenses
    - Support STAGEDIR
  
  Changes:	https://github.com/carr/phone/blob/master/ChangeLog.md
  PR:		ports/183881
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/textproc/rubygem-phone/Makefile   (contents, props changed)
  head/textproc/rubygem-phone/distinfo   (contents, props changed)

Modified: head/textproc/rubygem-phone/Makefile
==============================================================================
--- head/textproc/rubygem-phone/Makefile	Wed Nov 20 03:14:56 2013	(r334372)
+++ head/textproc/rubygem-phone/Makefile	Wed Nov 20 03:15:01 2013	(r334373)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	phone
-PORTVERSION=	1.1
+PORTVERSION=	1.2.3
 CATEGORIES=	textproc rubygems
 MASTER_SITES=	RG
 
@@ -10,11 +10,9 @@ MAINTAINER=	douglas@douglasthrift.net
 COMMENT=	Phone number parsing, validation and formatting
 
 LICENSE=	MIT
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes
 RUBYGEM_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/textproc/rubygem-phone/distinfo
==============================================================================
--- head/textproc/rubygem-phone/distinfo	Wed Nov 20 03:14:56 2013	(r334372)
+++ head/textproc/rubygem-phone/distinfo	Wed Nov 20 03:15:01 2013	(r334373)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/phone-1.1.gem) = 3c3d9096f953ea43f9b9a5ebbf50f4a897a0f040062f0bc3b8171e106dea23c2
-SIZE (rubygem/phone-1.1.gem) = 26624
+SHA256 (rubygem/phone-1.2.3.gem) = 138bfaa624c2cfff57cb655c754911020ffd3228d48d9f591b8f447170cb8f9c
+SIZE (rubygem/phone-1.2.3.gem) = 26624
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-11-20 03:15:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!